
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #776

Error - no such file or directory qt

February 07, 2018 13:34 - Raitaro Hikami

Status: Closed Start date: February 07, 2018

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: libaudcore Estimated time: 0.00 hour

Target version: 3.10   

Affects version: 3.9   

Description

Open one single file in audacious, play it, delete the file. If I do that I get WAAAY to many errors until audacious stops (10 that is).

Shouldn't it stop after 1? Also I got this "burned in" error that just floats on the desktop that I can't get rid of. Most likely a plasma

thing.

History

#1 - March 14, 2018 22:12 - John Lindgren

- % Done changed from 0 to 100

- Target version set to 3.10

- Category set to libaudcore

The limit of 10 retries was put in place with longer playlists in mind.  (If one or two songs in a long playlist are missing, we want to just continue on to

the next one.  If 10 in a row are missing, maybe it's a larger issue, like an unmounted filesystem or a lost network connection.)

You're right that this doesn't make much sense if you have a short playlist (fewer than 10 songs) on repeat.  In that case, we should definitely stop

trying as soon as we've failed to play every song in the playlist.

Fixed:

https://github.com/audacious-media-player/audacious/commit/f21f2c9af62530c0ed131ebff390c0653f610e0f

#2 - April 10, 2018 03:08 - John Lindgren

- Status changed from New to Closed
